package com.heyu.api.data.dao.device;
/**
* <p>
* 设备批次表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.device.DeviceBatchEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface DeviceBatchDao extends BaseMapper<DeviceBatchEntity> {


	DeviceBatchEntity selectDeviceBatchById(@Param("id")Long id);


	Long insertDeviceBatch(DeviceBatchEntity deviceBatch);


	Long insertOrUpdateDeviceBatch(DeviceBatchEntity deviceBatch);


	int updateDeviceBatchById(DeviceBatchEntity deviceBatch);


	int updateCoverDeviceBatchById(DeviceBatchEntity deviceBatch);


	int deleteDeviceBatchById(@Param("id")Long id);


}